/*
 * close_s.c
 *
 * Copyright (C) 1994 First Class Technology.
 * Modified by K.Shirakata
 * Modified by Kazuya 'Sharl' Masuda
 */
#include <stdio.h>
#include <string.h>
#include <sys/xunistd.h>
#include <sys/socket.h>
#include <netdb.h>
#include <tcpipdrv.h>

_ti_func search_ti_entry(void);

int
close_s(int a)
{
	_ti_func func = search_ti_entry();

	if (func) {
		struct usock *p;
		int r;
		int ref;

		p = (usock *) func(_TI_sock_top, NULL);
		p = &p[a - SOCKBASE];
		ref = p->refcnt;
		if ((r = func(_TI_close_s, (long *)a)) != 0)
			return r;
		if (ref == 1) {
			struct _handles *lp = &_fddb[a];
			memset(lp, 0, sizeof(struct _handles));
		}
	}
	return -1;
}
