/*
 * getnetbyaddr.c
 *
 * Copyright (C) 1994 First Class Technology.
 * Modified by Kazuya 'Sharl' Masuda
 */
#include <stdio.h>
#include <netdb.h>
#include <tcpipdrv.h>

_ti_func search_ti_entry(void);

struct netent *
getnetbyaddr(unsigned long net, int type)
{
	_ti_func func = search_ti_entry();
	if (func) {
		long argv[2];

		argv[0] = net;
		argv[1] = (long)type;

		return (struct netent *)func(_TI_getnetbyaddr, argv);
	}
	return NULL;
}
