/*
 * getservbyport.c
 *
 * Copyright (C) 1994 First Class Technology.
 * Modified by Kazuya 'Sharl' Masuda
 */
#include <stdio.h>
#include <netdb.h>
#include <tcpipdrv.h>

_ti_func search_ti_entry(void);

struct servent *
getservbyport(int port, const char *proto)
{
	_ti_func func = search_ti_entry();
	if (func) {
		long argv[2];

		argv[0] = port;
		argv[1] = (long)proto;

		return (struct servent *)func(_TI_getservbyport, argv);
	}
	return NULL;
}
