/*
 * sendto.c
 *
 * Copyright (C) 1994 First Class Technology.
 * Modified by K.Shirakata
 * Modified by Kazuya 'Sharl' Masuda
 */
#include <sys/socket.h>
#include <tcpipdrv.h>

_ti_func search_ti_entry(void);

int
sendto(int a, const void *b, size_t c, int d, const struct sockaddr *e, int f)
{
	_ti_func func = search_ti_entry();

	if (func) {
		long arg[6];

		arg[0] = a;
		arg[1] = (long)b;
		arg[2] = c;
		arg[3] = d;
		arg[4] = (long)e;
		arg[5] = f;

		return func(_TI_sendto, arg);
	}
	return -1;
}
