/*
 * socket.c
 *
 * Copyright (C) 1994 First Class Technology.
 * Modified by K.Shirakata
 * Modified by Kazuya 'Sharl' Masuda
 */
#include <stdio.h>
#include <string.h>
#include <fcntl.h>
#include <sys/xunistd.h>
#include <sys/socket.h>
#include <tcpipdrv.h>

_ti_func search_ti_entry(void);

int
socket(int a, int b, int c)
{
	_ti_func func = search_ti_entry();

	if (func) {
		long arg[3];
		int r;

		if (a == 2)
			a = 0;
		arg[0] = a;
		arg[1] = b;
		arg[2] = c;

		r = func(_TI_socket, arg);
		{
			struct _handles *lp = &_fddb[r];
			memset(lp, '\0', sizeof(struct _handles));
			lp->inuse = _FD_APPLICATION;
			lp->unlink = 0;
			lp->oflag = O_RDWR | O_BINARY;
			lp->cdev = _DEV_CDEV;
			return r;

		}
	}
	return -1;
}
