/*
 * write_s.c
 *
 * Copyright (C) 1994 First Class Technology.
 * Modified by K.Shirakata
 * Modified by Kazuya 'Sharl' Masuda
 */
#include <sys/socket.h>
#include <netdb.h>
#include <tcpipdrv.h>

_ti_func search_ti_entry(void);

int
write_s(int a, const char *b, int c)
{
	_ti_func func = search_ti_entry();

	if (func) {
		long arg[3];

		arg[0] = a;
		arg[1] = (long)b;
		arg[2] = c;

		return func(_TI_write_s, arg);
	}
	return -1;
}
