/*
 * getdomainname.c
 */
#include <stdlib.h>
#include <string.h>

extern char *get_domain_name(void);

long
getdomainname(char *name, int namelen)
{
	char *domain;

	domain = get_domain_name();
	if (!domain || !*domain)
		domain = getenv("DOMAINNAME");
	if (domain) {
		strncpy(name, domain, namelen);
		return 0;
	}
	return -1;
}
