/*
 * gethname.c
 */
#include <stdlib.h>
#include <string.h>

long
gethostname(char *name, int namelen)
{
	char *p;

	*name = '\0';
	p = getenv("HOST");
	if (p == NULL)
		p = getenv("HOSTNAME");
	if (p == NULL || strlen(p) >= namelen)
		return -1;
	strcpy(name, p);
	return 0;
}
