/*
 * getpeername.c
 *
 * Copyright (C) 1994 First Class Technology.
 * Modified by K.Shirakata
 * Modified by Kazuya 'Sharl' Masuda
 */
#include <sys/socket.h>
#include <netdb.h>
#include <tcpipdrv.h>

_ti_func search_ti_entry(void);

int
getpeername(int a, struct sockaddr *b, int *c)
{
	_ti_func func = search_ti_entry();

	if (func) {
		long arg[3];

		arg[0] = a;
		arg[1] = (long)b;
		arg[2] = (long)c;

		return func(_TI_getpeername, arg);
	}
	return -1;
}
