/*
 * socklen.c
 *
 * Copyright (C) 1994 First Class Technology.
 * Modified by K.Shirakata
 * Modified by Kazuya 'Sharl' Masuda
 */
#include <sys/socket.h>
#include <tcpipdrv.h>

_ti_func search_ti_entry(void);

int
socklen(int a, int b)
{
	_ti_func func = search_ti_entry();

	if (func) {
		long arg[2];

		arg[0] = a;
		arg[1] = b;

		return func(_TI_socklen, arg);
	}
	return -1;
}
